package com.yixin.ms.boot.config.properties;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

import java.util.List;

/**
 * @description: WxMaProperties <br>
 * @date: 2021/4/13 10:18 <br>
 * @author: PWB <br>
 */
@Configuration
@Data
@ConfigurationProperties(prefix = "scenic")
public class ScenicProperties {
    /**
     * 根据预约码或者身份证查询是否预约
     */
    private String verifyUrl;

    /**
     * 根据预约码查询姓名、证件信息
     */
    private String queryUrl;

    /**
     * 游客放行推送
     */
    private String consumeUrl;

    private List<Config> configs;

    @Data
    public static class Config {
        /**
         * 账号id
         */
        private Integer adminId;

        /**
         * 三方账号id
         */
        private String account;

        /**
         * 三方key
         */
        private String key;
    }

}
